# http://download.drobilla.net/jalv-1.6.0.tar.bz2

Name:           jalv
Version:        1.6.0
Release:        %mkrel 1
Summary:        An LV2 Resource Description Framework Library

Group:          Sound
License:        MIT
URL:            http://drobilla.net/software/jalv/
Source0:        %{name}-%{version}.tar.xz

BuildRequires:  python
BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  %{_lib}atk1.0-devel
BuildRequires:  %{_lib}atkmm1.6-devel
BuildRequires:  %{_lib}cairo-devel
BuildRequires:  %{_lib}cairomm1.0-devel
BuildRequires:  %{_lib}fontconfig-devel
BuildRequires:  %{_lib}freetype6-devel
BuildRequires:  %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires:  %{_lib}glib2.0-devel
BuildRequires:  %{_lib}glibmm2.4-devel
BuildRequires:  %{_lib}gtk+2.0_0-devel
BuildRequires:  %{_lib}gtk+3.0-devel
BuildRequires:  %{_lib}gtkmm2.4-devel
BuildRequires:  %{_lib}jack-devel
BuildRequires:  %{_lib}lilv-devel
BuildRequires:  %{_lib}pango1.0-devel
BuildRequires:  %{_lib}pangomm2.4-devel
BuildRequires:  %{_lib}qt4-devel
BuildRequires:  %{_lib}serd-devel
BuildRequires:  %{_lib}sord-devel
BuildRequires:  %{_lib}sratom-devel
BuildRequires:  %{_lib}suil-devel
BuildRequires:  libpthread-stubs
BuildRequires:  lv2-devel
BuildRequires:  wayland-protocols-devel
Requires:       lilv

%description
%{name} is a simple but fully featured LV2 host for Jack. It runs LV2 plugins
and exposes their ports as Jack ports, essentially making any LV2 plugin
function as a Jack application.

%package qt
Group:          Sound
Summary:        QT implementation of %{name}
Requires:       %{name}%{_isa} = %{version}-%{release}

%description qt
%{name}-qt is an LV2 host for QT LV2 plugins

%package gtk
Group:          Sound
Summary:        GTK implementation of %{name}
Requires:       %{name}%{_isa} = %{version}-%{release}

%description gtk
%{name}-gtk is an LV2 host for GTK LV2 plugins

%package gtkmm
Group:          Sound
Summary:        gtkmm implementation of %{name}
Requires:       %{name}%{_isa} = %{version}-%{release}

%description gtkmm
%{name}-gtkmm is an LV2 host for gtkmm LV2 plugins

%prep
%setup -q

%build
export CFLAGS="%{optflags}" CXXFLAGS="%{optflags}"
export LDFLAGS="%{ldflags}"

./waf configure -vv \
  --prefix=%{_prefix} \
  --libdir=%{_libdir} \
  --mandir=%{_mandir} \
  --datadir=%{_datadir} \
  --includedir=%{_includedir} \
  --configdir=%{_sysconfdir} \
  --docs \
  --no-qt5
./waf build -vv %{?_smp_mflags}

%install
DESTDIR=%{buildroot} ./waf install

%files
%doc AUTHORS NEWS README COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*

%files qt
%{_bindir}/%{name}.qt4
%{_mandir}/man1/%{name}.qt.1.*

%files gtk
%{_bindir}/%{name}.gtk*
%{_mandir}/man1/%{name}.gtk.1.*

%files gtkmm
%{_bindir}/%{name}.gtkmm
%{_mandir}/man1/%{name}.gtkmm.1.*

%changelog
* Sun Apr 29 2018 marcin82 <fixxer1982 at gmail.com> 1.6.0-1pclos2018
- update, added BR: libpthread-stubs, wayland-protocol-devel, R: lilv

* Wed Jun 24 2015 bb <bb> 1.4.6-2pclos2015
- fix rpm group to Sound
- fix rpm BR

* Sat Jun 13 2015 gseaman <galen.seaman at comcast.net> 1.4.6-1gseaman2015
- build for PCLinuxOS from Fedora spec
